import { createSrcset } from "~/server/services/imageServer";

type AnnuncioBase = {
  url_immagini: string[] | null;
};

export const AnnuncioObjectWithImages = <T extends AnnuncioBase>(
  annuncio: T,
): T => {
  return {
    ...annuncio,
    url_immagini: annuncio.url_immagini
      ? createSrcset(annuncio.url_immagini)
      : [],
  };
};
